STOFFStarMathToMMLConverterInternal Namespace Reference documentation

STOFFStarMathToMMLConverterInternal Namespace Reference

namespace to define a basic lexer, parser More...

## Classes
struct | LexerData
| a lexer data More...
struct | Node
| a data node More...
class | Parser
| class to parse a StarMath string More...

## Functions
static bool | icmp (const std::string &str1, const std::string &str2)
| insenstive comparison
std::string | toLower (std::string const &strToConvert)
std::string | toUpper (std::string const &strToConvert)

## Detailed Description

namespace to define a basic lexer, parser

## Function Documentation

## ◆ icmp()

bool STOFFStarMathToMMLConverterInternal::icmp | ( | const std::string & | str1,
|  | const std::string & | str2 )
| static

insenstive comparison

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), STOFFStarMathToMMLConverterInternal::Parser::expr(), STOFFStarMathToMMLConverterInternal::Parser::findAndAddAlignment(), STOFFStarMathToMMLConverterInternal::Parser::functionExpr(), STOFFStarMathToMMLConverterInternal::Parser::leftParenthesisExpr(), STOFFStarMathToMMLConverterInternal::Parser::multiplicationExpr(), STOFFStarMathToMMLConverterInternal::Parser::parenthesisExpr(), and STOFFStarMathToMMLConverterInternal::Parser::sequenceExpr().

## ◆ toLower()

std::string STOFFStarMathToMMLConverterInternal::toLower | ( | std::string const & | strToConvert | ) |

Referenced by STOFFStarMathToMMLConverterInternal::Parser::additionExpr(), STOFFStarMathToMMLConverterInternal::Parser::convert(), STOFFStarMathToMMLConverterInternal::Parser::convertInMML(), STOFFStarMathToMMLConverterInternal::Parser::elementExpr(), STOFFStarMathToMMLConverterInternal::Parser::functionExpr(), STOFFStarMathToMMLConverterInternal::Parser::leftParenthesisExpr(), STOFFStarMathToMMLConverterInternal::Parser::multiplicationExpr(), STOFFStarMathToMMLConverterInternal::Parser::parenthesisExpr(), STOFFStarMathToMMLConverterInternal::Parser::relationExpr(), STOFFStarMathToMMLConverterInternal::Parser::rightParenthesisExpr(), and STOFFStarMathToMMLConverterInternal::Parser::unaryOperatorExpr().

## ◆ toUpper()

std::string STOFFStarMathToMMLConverterInternal::toUpper | ( | std::string const & | strToConvert | ) |